Package org.eclipse.cdt.utils.debug

# Class DebugType

java.lang.Object
org.eclipse.cdt.utils.debug.DebugType

Direct Known Subclasses:
  `DebugBaseType`, `DebugDerivedType`, `DebugEnumType`, `DebugFunctionType`, `DebugStructType`, `DebugUnknownType`

public class DebugType extends Object
DebugType

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DebugType()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DebugType

protected DebugType()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`